package tree;
public class UnaryExpr extends Expression {
   public Expression left;         // Child
   public int op;

   public UnaryExpr(sym.TypeSy type, int op, Expression left, int position) {
       super(type, position);
       this.left = left; this.op = op;
   }

    public String toString(int indent) {
        return toString(indent, this, 
                        new Tree[]{left}, 
                        new String[]{"type"}, new sym.Symbol[]{type},
                        new String[]{"op"}, new String[]{lexer.Token.token2stringPrint(op)}, 
                        position);
   }

}
